Subject: Re: bug#5927: `xz' command not found when running 'make dist and distcheck'

From: Jim Meyering <[email-masked]>
Date: Mon, 12 Apr 2010 08:22:53 +0200

jeff.liu wrote:
...
> But I am facing another 'make distcheck' issue even if `xz' available but the `tar' does not updated
> to the version which support '-J' or '-xz' options.
>
> The 'make distcheck' error shown as following:
> /bin/bash /home/jeff/opensource_dev/coreutils/build-aux/missing --run tar -Jxf
> coreutils-8.4.86-e6f6bb.tar.xz -C /home/jeff/opensource_dev/coreutils/tests/torture/coreutils/test
> tar: invalid option -- J
> Try `tar --help' or `tar --usage' for more information.
> WARNING: I can't seem to be able to run `tar' with the given arguments.
>          You may want to install GNU tar or Free paxutils, or check the
>          command line arguments.

For now, I suggest you simply install a new enough version of tar,
as suggested.

We assume that someone interested enough to run "make distcheck" is
also using a system that is sufficiently modern.
If your system/tools are not up to date enough, you'll probably
encounter other problems, too.

>From HACKING,

    Run "make syntax-check", or even "make distcheck"
    ================================================
    Making either of those targets runs many integrity and
    project-specific policy-conformance tests.  For example, the former
    ensures that you add no trailing blanks and no uses of certain deprecated
    functions.  The latter performs all "syntax-check" tests, and also
    ensures that the build completes with no warnings when using a certain
    set of gcc -W... options.

**  Don't even bother running "make distcheck"
**  unless you have a reasonably up to date installation including recent
**  versions of gcc and the linux kernel, and modern GNU tools.